/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/

#include "v/VMacro.h"
#include "v/v.h"

extern "C" {

void init_VMacro();

int
_vobject_init_xl(int * argc,char *** argv,INIT_FUNC_LIST * flist)
{
	init_VMacro();
	if ( flist )
		(*flist->func)(argc,argv,flist->next);
	return 0;
}

int
vobject_init_xl(int * argc,char *** argv)
{
INIT_FUNC_LIST flist;
	flist.next = 0;
	flist.func = _vobject_init_xl;
	flist.work = 0;
	return _vobject_init(argc,argv,&flist);
}


} // extern "C"

